# Use the latest saved docker image in the gitlab registry as a SERVICE
services:
  - name: registry.gitlab.com/hperchec/smart-garden/database:latest
    alias: mysql

# Environment variables
variables:
  MYSQL_ALLOW_EMPTY_PASSWORD: 1
  MYSQL_HOST: mysql # Important because service is used (see service alias)

# Stages
stages:
  - tests

# Job "test": Ensure that database creation, migrations and seeders work fine
test:
  stage: tests
  before_script:
    # Install mysql-client
    - apt-get update -q && apt-get install -qqy --no-install-recommends default-mysql-client
  script:
    # Create database
    - bash ./cmd/cli.sh create
    # Migrate
    - bash ./cmd/cli.sh -v NONE migrate
    # Seed
    - bash ./cmd/cli.sh -v NONE seed
  artifacts:
    paths:
      - sql/migrations/tmp/*.tmp # Export all generated migration SQL files as artifacts
